Get a post
const url = 'https://postflow.biz.id/api/v1/posts/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://postflow.biz.id/api/v1/posts/example \ --header 'Authorization: Bearer <token>'MCP tool: get_post.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Post id
Responses
Section titled “Responses”OK
object
Derived from the targets.
pending = waiting for the owner’s approval.
Send as expectedVersion when updating to avoid overwriting someone else’s change.
object
Use in mediaIds.
App path of the file. With the API, download it from /media/{id}/file.
One account a post goes to.
object
Target id, for retrying one account.
As sent in the request.
object
object
Hex color
Example
{ "status": "draft", "review": "none", "media": [ { "kind": "image", "mime": "image/jpeg" } ], "targets": [ { "platform": "facebook", "contentType": "fb_post", "status": "draft", "firstCommentStatus": "pending" } ]}Missing, invalid, expired or deleted key or token.
object
object
A sentence you can show to a person.
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}Not found in this workspace.
object
object
A sentence you can show to a person.
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}More than 120 requests in a minute with this key.
object
object
A sentence you can show to a person.
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}